.cart {
  width: 50px;
  height: 50px;
  background-color: var(--d);
  position: absolute;
  z-index: -1;
  right: 10px;
  bottom: -4.5rem;
  border-radius: 50%;
  border: 2px solid var(--l);
  box-shadow: 0px 0px 0px 3px var(--hl);
  display: flex;
  justify-content: center;
  align-items: center;

  img {
    width: 100%;
    height: 100%;
    object-fit: contain;

    object-position: center;
  }
}

.cart-menu {
  width: 70%;
  height: 0;
  z-index: -2;
  background-color: var(--hl);
  border: none;
  box-shadow: none;
  position: absolute;
  right: 0;
  overflow-y: hidden;
  border-radius: 10px;
  top: 5rem;
  transition: all 0.1s linear;
  color: var(--l);

  h2 {
    height: 50px;
    display: flex;
    justify-content: left;
    align-self: center;
    padding-left: 10px;
    padding-top: 5px;
  }

  .pay {
    border: 1px solid var(--l);
    width: 100%;
    position: absolute;
    z-index: 999999;
    border-radius: 0 0 9px 9px;
    bottom: 0;
    height: 2rem;
    background-color: var(--hl);
    display: flex;

    p {
      width: 50%;
      background-color: var(--d);
      align-content: center;
      text-align: center;
      border-radius: 0 0 0 9px;
      background-color: var(--d);
    }

    a {
      width: 50%;
      align-content: center;
      text-align: center;
      display: inline-block;
      color: var(--l);
      font-weight: 600;
    }
  }

  .item-box {
    height: 40vh;
    padding-bottom: 1.5rem;
    overflow-y: auto;
    scrollbar-width: none;

    .cart-item {
      width: 100%;
      height: fit-content;
      border-top: 1px solid var(--l);
      border-bottom: 1px solid var(--l);

      h3 {
        padding-left: 10px;
        height: fit-content;
      }

      .content {
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;

        .del {
          position: absolute;
          width: 20px;
          height: 20px;
          top: 0;
          right: 6px;

          img {
            width: 100%;
            height: 100%;

          }
        }

        img {
          width: 50%;
          object-fit: contain;
          /* background-color: var(--y); */
          object-position: center;
        }

        .details {
          padding: 3px;
          width: 50%;

          .Qty {
            display: flex;
            justify-content: space-between;
            width: 100%;

            .btn {
              display: flex;
              width: 48%;

              div {
                background-color: var(--l);
                color: var(--d);
                width: 50%;
                text-align: center;
                font-weight: 700;
                font-size: 110%;
                cursor: pointer;
              }
            }
          }
        }
      }
    }
  }
}

#toast {
  position: fixed;
  top: 12vh;
  right: -50%;
  z-index: 9999;
  background-color: var(--hl);
  width: fit-content;
  padding: 0.5rem;
  border-radius: 10px;
  font-weight: 600;
  text-decoration: underline;
  border: 2px solid var(--l);
  box-shadow: 0 0 0 2px var(--d);
  color: var(--l);
  transition: all 0.5s ease-out;
}

@media (min-width: 768px) {
  .cart-menu {
    width: 50%;
  }
}
